Subject: Re: [PATCH 0/3] meson: wire up gitk and git-gui

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Aug 2025 08:49:35 -0700

Patrick Steinhardt <[email-masked]> writes:

> Hi,
>
> I have upstreamed support for Meson into both gitk [1] and git-gui [2].
> This small patch series wires up support in Git.
>
> To the best of my knowledge this is the last missing piece for feature
> compatibility with our Makefile. As such, from my point of view, I think
> that we can stop treating the Meson build system as experimental and
> instead officially endorse it. Once merged I'll thus send another patch
> series that updates our documentation in various different places to
> also mention how to build Git with Meson.

Good.

With such a documentation, it would help folks to verify (and make
extra fixup if needed) to see how well feature parity is achieved
and peel that experimental label.

Having said that, I somehow feel that ...

>  {git-gui => subprojects/git-gui}/.gitattributes       |   0
> ...
>  {gitk-git => subprojects/gitk}/.gitignore             |   0

... a move like this is bending the source to match the limitation
of the tool, making the people who use (write, read, and build from)
the source to pay for the price, which is backwards.  The tool, be
it Meson or Make or CMake, should be serving the project, not the
other way around.  In our current build system, we don't have to
have borrowed code (from gitk, git-gui, sha1dc, or xdiff) inside a
specific subdirectory.

But I may change my mind while reading the real patches, not the
diffstat.

Thanks.